Resource

Monitor Feed

Log of the entire monitor state change. This is a log of all the monitor state changes, public notes, more etc.

The Monitor Feed Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    monitor
    Type
    Monitor
    Description

    Relation to Monitor in which this resource belongs

  • Name
    monitorId
    Type
    Object IDRequired
    Description

    Relation to Monitor ID in which this resource belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    feedInfoInMarkdown
    Type
    MarkdownRequired
    Description

    Log of the entire monitor state change in Markdown

  • Name
    moreInformationInMarkdown
    Type
    Markdown
    Description

    More information in Markdown

  • Name
    monitorFeedEventType
    Type
    TextRequired
    Description

    Monitor Feed Event

  • Name
    displayColor
    Type
    ColorRequired
    Description

    Display color for the monitor log

  • Name
    user
    Type
    User
    Description

    Relation to User who this feed belongs to (if this feed belongs to a User)

  • Name
    userId
    Type
    Object ID
    Description

    User who this feed belongs to (if this feed belongs to a User)

  • Name
    postedAt
    Type
    Date
    Description

    Date and time when the feed was posted

GETorPOST/api/monitor-feed/get-list

List

This endpoint allows you to retrieve a paginated list of all your Monitor Feed. By default, a maximum of ten Monitor Feed are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/monitor-feed/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "displayColor": true,
    "feedInfoInMarkdown": true,
    "monitorFeedEventType": true,
    "monitorId": true,
    "projectId": true
  },
  "query": {
    "monitorFeedEventType": "MonitorStatusChanged"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37749ef0-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#3498db",
      "feedInfoInMarkdown": "**Monitor Status Changed**: Status changed from `Operational` to `Degraded` - Response time exceeded threshold",
      "monitorFeedEventType": "MonitorStatusChanged",
      "monitorId": "e5f6a7b8-d9c0-1234-5678-901234efab56",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "37749ef1-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#3498db",
      "feedInfoInMarkdown": "**Monitor Status Changed**: Status changed from `Operational` to `Degraded` - Response time exceeded threshold",
      "monitorFeedEventType": "MonitorStatusChanged",
      "monitorId": "e5f6a7b8-d9c0-1234-5678-901234efab56",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "37749ef2-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#3498db",
      "feedInfoInMarkdown": "**Monitor Status Changed**: Status changed from `Operational` to `Degraded` - Response time exceeded threshold",
      "monitorFeedEventType": "MonitorStatusChanged",
      "monitorId": "e5f6a7b8-d9c0-1234-5678-901234efab56",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    }
  ]
}
GETorPOST/api/monitor-feed/:id/get-item

Get item by ID

This endpoint allows you to retrieve Monitor Feed by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/monitor-feed/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "displayColor": true,
    "feedInfoInMarkdown": true,
    "monitorFeedEventType": true,
    "monitorId": true,
    "projectId": true
  }
}

Response

{
  "_id": "37749ef0-28fe-11f1-b591-3fdcef396aba",
  "displayColor": "#3498db",
  "feedInfoInMarkdown": "**Monitor Status Changed**: Status changed from `Operational` to `Degraded` - Response time exceeded threshold",
  "monitorFeedEventType": "MonitorStatusChanged",
  "monitorId": "e5f6a7b8-d9c0-1234-5678-901234efab56",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}
POST/api/monitor-feed/count

Count

This endpoint allows you to retrieve the count of all your Monitor Feed.

Optional Request Body

Count Request

POST
/api/monitor-feed/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "monitorFeedEventType": "MonitorStatusChanged"
  }
}

Response

{
  "count": 107
}
POST/api/monitor-feed

Create Monitor Feed

This endpoint allows you to create a new object.

Create Request

POST
/api/monitor-feed
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "displayColor": "#3498db",
    "feedInfoInMarkdown": "**Monitor Status Changed**: Status changed from `Operational` to `Degraded` - Response time exceeded threshold",
    "monitorFeedEventType": "MonitorStatusChanged",
    "monitorId": "e5f6a7b8-d9c0-1234-5678-901234efab56",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
  }
}

Response

{
  "_id": "37749ef0-28fe-11f1-b591-3fdcef396aba",
  "displayColor": "#3498db",
  "feedInfoInMarkdown": "**Monitor Status Changed**: Status changed from `Operational` to `Degraded` - Response time exceeded threshold",
  "monitorFeedEventType": "MonitorStatusChanged",
  "monitorId": "e5f6a7b8-d9c0-1234-5678-901234efab56",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Monitor Feed

  • Project Owner
  • Project Admin
  • Project Member
  • Read Monitor Feed
  • Read All Project Resources

Create Permissions

Required to create Monitor Feed

  • Project Owner
  • Project Admin
  • Project Member
  • Create Monitor Feed

Update Permissions

Required to update Monitor Feed

This resource cannot be updated via the API

Delete Permissions

Required to delete Monitor Feed

This resource cannot be deleted via the API